Skip to content

Read workplace billing status as a current owner or admin

GET/v1/workplace/billing

Authorization

AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://example.com/v1/workplace/billing"
{
  "workplaceId": "4989ce91-52f9-461b-87fa-af1f28004fc0",
  "plan": "starter",
  "pendingCommand": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "action": "cancel",
    "state": "pending",
    "requestedAt": "2019-08-24T14:15:22Z"
  },
  "price": {
    "currency": "usd",
    "monthlyAmount": 2000
  },
  "subscription": {
    "revision": "b587a570-d9a5-40c2-87da-edba28b3005f",
    "health": "current",
    "paidThrough": "2019-08-24T14:15:22Z",
    "recoveryEndsAt": "2019-08-24T14:15:22Z",
    "cancellationScheduled": true,
    "lastVerifiedAt": "2019-08-24T14:15:22Z"
  }
}